Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.rss
Class Image

    java.lang.Object
      com.sun.syndication.feed.rss.Image

All Implemented Interfaces:
  Serializable, Cloneable

    public class Image

extends Object
implements Cloneable, Serializable

Bean for images of RSS feeds.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`Image()` Default constructor.

Method Summary
`Object` | `clone()` Creates a deep 'bean' clone of the object.
`boolean` | `equals(Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`String` | `getDescription()` Returns the image description.
`Integer` | `getHeight()` Returns the image height.
`String` | `getLink()` Returns the image link.
`String` | `getTitle()` Returns the image title.
`String` | `getUrl()` Returns the image URL.
`Integer` | `getWidth()` Returns the image width.
`int` | `hashCode()` Returns a hashcode value for the object.
`void` | `setDescription(String description)` Sets the image description.
`void` | `setHeight(Integer height)` Sets the image height.
`void` | `setLink(String link)` Sets the image link.
`void` | `setTitle(String title)` Sets the image title.
`void` | `setUrl(String url)` Sets the image URL.
`void` | `setWidth(Integer width)` Sets the image width.
`String` | `toString()` Returns the String representation for the object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Image

    public Image()

  Default constructor. All properties are set to null.

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Creates a deep 'bean' clone of the object.

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the object.
  Throws:
    `CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

### equals

    public boolean equals(Object other)

  Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - he reference object with which to compare.
  Returns:
    true if 'this' object is equal to the 'other' object.

### hashCode

    public int hashCode()

  Returns a hashcode value for the object.

  It follows the contract defined by the Object hashCode() method.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode of the bean object.

### toString

    public String toString()

  Returns the String representation for the object.

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation for the object.

### getTitle

    public String getTitle()

  Returns the image title.

  Returns:
    the image title, null if none.

### setTitle

    public void setTitle(String title)

  Sets the image title.

  Parameters:
    `title` - the image title to set, null if none.

### getUrl

    public String getUrl()

  Returns the image URL.

  Returns:
    the image URL, null if none.

### setUrl

    public void setUrl(String url)

  Sets the image URL.

  Parameters:
    `url` - the image URL to set, null if none.

### getLink

    public String getLink()

  Returns the image link.

  Returns:
    the image link, null if none.

### setLink

    public void setLink(String link)

  Sets the image link.

  Parameters:
    `link` - the image link to set, null if none.

### getWidth

    public Integer getWidth()

  Returns the image width.

  Returns:
    the image width, null if none.

### setWidth

    public void setWidth(Integer width)

  Sets the image width.

  Parameters:
    `width` - the image width to set, null if none.

### getHeight

    public Integer getHeight()

  Returns the image height.

  Returns:
    the image height, null if none.

### setHeight

    public void setHeight(Integer height)

  Sets the image height.

  Parameters:
    `height` - the image height to set, null if none.

### getDescription

    public String getDescription()

  Returns the image description.

  Returns:
    the image description, null if none.

### setDescription

    public void setDescription(String description)

  Sets the image description.

  Parameters:
    `description` - the image description to set, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.